%bcond_with    wizard

Name:           bibletime
Version:        1.6.5
Release:        %mkrel 3
Epoch:          0
Summary:        Easy to use Bible study tool for KDE
License:        GPLv2+
Url:            http://www.bibletime.info/
Group:          Text tools
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-i18n-%{version}.tar.bz2
Patch0:		bibletime-1.6.5-fix-desktop.patch
BuildRequires:  kdelibs-devel
BuildRequires:  sword-devel
BuildRequires:  clucene-devel
Requires:       sword
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	bibletime-i18n
Obsoletes:	bibletime-i18n-af
Obsoletes:	bibletime-i18n-de
Obsoletes:	bibletime-i18n-fi
Obsoletes:	bibletime-i18n-it
Obsoletes:	bibletime-i18n-no
Obsoletes:	bibletime-i18n-ro
Obsoletes:	bibletime-i18n-ua
Obsoletes:	bibletime-i18n-bg
Obsoletes:	bibletime-i18n-en_GB
Obsoletes:	bibletime-i18n-fr
Obsoletes:	bibletime-i18n-ko
Obsoletes:	bibletime-i18n-pl
Obsoletes:	bibletime-i18n-ru
Obsoletes:	bibletime-i18n-cs
Obsoletes:	bibletime-i18n-es
Obsoletes:	bibletime-i18n-hu
Obsoletes:	bibletime-i18n-nl
Obsoletes:	bibletime-i18n-pt_br
Obsoletes:	bibletime-i18n-sk

%description
BibleTime is a free and easy to use bible study tool for UNIX systems.

BibleTime provides easy handling of digitized texts (Bibles, commentaries 
and lexicons) and powerful features to work with these texts (search in 
texts, write own notes, save, print etc.). Bibletime is a frontend for 
the SWORD Bible Framework.

%prep
%setup -q -a 1
%patch0 -p0

%build
export QTDIR=%{_prefix}/lib/qt3
%{configure2_5x} --disable-rpath --disable-debug
make kde_htmldir=%{_docdir}/HTML/

cd bibletime-i18n-%version
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} kde_htmldir=%{_docdir}/HTML/

cd bibletime-i18n-%version
%makeinstall_std
cd -

rm -fr %buildroot%_includedir

%{__mkdir_p} %{buildroot}%{_liconsdir}
%{__mkdir_p} %{buildroot}%{_iconsdir}
%{__mkdir_p} %{buildroot}%{_miconsdir}
%{__install} -m 644 bibletime/pics/48x48/hi48-app-bibletime.png %{buildroot}/%{_liconsdir}/%{name}.png
%{__install} -m 644 bibletime/pics/32x32/hi32-app-bibletime.png %{buildroot}/%{_iconsdir}/%{name}.png
%{__install} -m 644 bibletime/pics/16x16/hi16-app-bibletime.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %name  --with-html

%clean
%{__rm} -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README
%if %with wizard
%{_bindir}/btsetupwizard
%endif
%{_bindir}/bibletime
%{_datadir}/apps/bibletime
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Feb 18 2008 Funda Wang <fundawang@mandriva.org> 0:1.6.5-3mdv2008.1
+ Revision: 171454
- rebuild to obsoletes bibletime-i18n again :(

* Mon Jan 07 2008 Funda Wang <fundawang@mandriva.org> 0:1.6.5-2mdv2008.1
+ Revision: 146264
- rebuild to obsoletes bibletime-i18n again

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix spacing in description

* Sat Dec 08 2007 Funda Wang <fundawang@mandriva.org> 0:1.6.5-1mdv2008.1
+ Revision: 116510
- disable parallel build
- Obsoletes old i18n packages
- New version 1.6.5
- Merge bibletime-i18n package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Apr 30 2007 David Walluck <walluck@mandriva.org> 0:1.6.4-1mdv2008.0
+ Revision: 19687
- fix rpm eval and build
- cleanup
- 1.6.4


* Tue Mar 13 2007 David Walluck <walluck@mandriva.org> 1.6.3-3mdv2007.1
+ Revision: 143265
- fix source directory
- 1.6.3b

* Wed Feb 07 2007 David Walluck <walluck@mandriva.org> 0:1.6.3-1mdv2007.1
+ Revision: 116958
- 1.6.3

* Mon Feb 05 2007 Buchan Milne <bgmilne@mandriva.org> 0:1.6.2-3mdv2007.1
+ Revision: 116479
- Work around build system issues on x86_64
- Buildrequire clucene-devel

  + David Walluck <walluck@mandriva.org>
    - rebuild
    - 1.6.2
    - Import bibletime

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl

* Thu Sep 07 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-3mdv2007.0
- Rebuild
- xdg menu

* Fri Jan 20 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-2mdk
- spec cleanup, fixes build on x86_64

* Wed Dec 21 2005 Buchan Milne <bgmilne@mandriva.org> 1.5.3-1mdk
- New release 1.5.3

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Fri Sep 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-4mdk
- Fix BuildRequires
- mkrel

* Thu Aug 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-3mdk
- rebuild for sword4
- put menu in More applications/Editors for now
- make it short-circuit-able

* Sat Jul 17 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-2mdk
- rebuild for gcc-3.4, minor spec cleanups

